Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.util
Class WsdlUtils

    java.lang.Object
      com.bea.wsrp.util.WsdlUtils

Deprecated Use ProducerAgent

    public abstract class WsdlUtils

extends Object

WSDL Utils.

See Also
  `ProducerAgent`

Nested Class Summary
`static class` | `WsdlUtils.WsrpPortStruct` Deprecated No longer supported.

Method Summary
`static boolean` | `acceptsMime(String producerWsdlUrl)` Deprecated
`static ServiceDescription` | `getServiceDescription(String serviceDescriptionPortUrl, String registrationHandle, byte[] registrationState)` Deprecated Use getServiceDescription(String wsdlUrl, String serviceDescriptionPortUrl,String registrationHandle, byte[] registrationState) instead
`static ServiceDescription` | `getServiceDescription(String wsdlUrl, String serviceDescriptionPortUrl, String registrationHandle, byte[] registrationState)` Deprecated This method is deprecated and will be removed in a future release.
`static ServiceDescription` | `getServiceDescriptionByWsdl(String producerWsdlUrl)` Deprecated This method is deprecated and will be removed in a future release.
`static ServiceDescription` | `getServiceDescriptionByWsdl(String producerWsdlUrl, String registrationHandle, byte[] registrationState)` Deprecated This method is deprecated and will be removed in a future release.
`static DefinitionsDocument` | `getWsdlDocument(String wsdlUrl)` Deprecated This method is deprecated and will be removed in a future release.
`static WsdlUtils.WsrpPortStruct` | `getWsrpPortUrls(DefinitionsDocument wsdl)` Deprecated This method is deprecated and will be removed in a future release.
`static boolean` | `validateWsdl(DefinitionsDocument wsdl)` Deprecated This method is deprecated and will be removed in a future release.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getWsdlDocument

    @Deprecated
    public static DefinitionsDocument getWsdlDocument(String wsdlUrl)
                                               throws XmlException,
                                                      IOException

  Deprecated This method is deprecated and will be removed in a future release.

  Returns a WSDL for the WSDL URL.

  Parameters
    `wsdlUrl` -
  Returns
  Throws
    `UnknownHostException` - thrown if host in the given WSDL URL is not known
    `FileNotFoundException` - thrown if there is at the given WSDL URL is not found
    `UnsupportedContentTypeException` - thrown if the response content type at the given URL is not supported
    `IllegalArgumentException` - thrown if the docuemnt at the given URL is not a WSDL
    `XmlException` - throws if there are XML parse errrors
    `IOException`

### validateWsdl

    @Deprecated
    public static boolean validateWsdl(DefinitionsDocument wsdl)

  Deprecated This method is deprecated and will be removed in a future release.

  Returns `true` if the given WSDL has mandatory WSRP ports. Returns false otherwise.

  Parameters
    `wsdl` -
  Returns
    boolean

### getServiceDescription

    @Deprecated
    public static ServiceDescription getServiceDescription(String serviceDescriptionPortUrl,
                                                                      String registrationHandle,
                                                                      byte[] registrationState)
                                                    throws IOException

  Deprecated Use getServiceDescription(String wsdlUrl, String serviceDescriptionPortUrl,String registrationHandle, byte[] registrationState) instead

  Returns the service description given the WSDL URL.

  Parameters
    `serviceDescriptionPortUrl` - weblogic.jms.interception.service description port URL
    `registrationHandle` - registration handle
    `registrationState` - registration state
  Throws
    `UnknownHostException` - thrown if host in the given weblogic.jws.WSDL URL is not known
    `FileNotFoundException` - thrown if there is at the given weblogic.jws.WSDL URL is not found
    `IOException`
  See Also
    `ProducerAgent.getServiceDescription(String, com.bea.wsrp.model.IRegistrationContext)`

### getServiceDescription

    @Deprecated
    public static ServiceDescription getServiceDescription(String wsdlUrl,
                                                                      String serviceDescriptionPortUrl,
                                                                      String registrationHandle,
                                                                      byte[] registrationState)
                                                    throws IOException

  Deprecated This method is deprecated and will be removed in a future release.

  Returns the service description given the WSDL URL.

  Parameters
    `wsdlUrl` - WSRP URL
    `serviceDescriptionPortUrl` - service description port URL
    `registrationHandle` - registration handle
    `registrationState` - registration state
  Throws
    `UnknownHostException` - thrown if host in the given WSDL URL is not known
    `FileNotFoundException` - thrown if there is at the given WSDL URL is not found
    `IOException`
  See Also
    `ProducerAgent.getServiceDescription(String, com.bea.wsrp.model.IRegistrationContext)`

### getServiceDescriptionByWsdl

    @Deprecated
    public static ServiceDescription getServiceDescriptionByWsdl(String producerWsdlUrl,
                                                                            String registrationHandle,
                                                                            byte[] registrationState)
                                                          throws XmlException,
                                                                 IOException

  Deprecated This method is deprecated and will be removed in a future release.

  Returns the service description given the WSDL URL.

  Parameters
    `producerWsdlUrl` - WSDL URL
    `registrationHandle` - registration handle
    `registrationState` - registration state
  Throws
    `IllegalArgumentException` - if the WSDL is not valid per the validateWsdl method
    `UnknownHostException` - thrown if host in the given WSDL URL is not known
    `FileNotFoundException` - thrown if there is at the given WSDL URL is not found
    `UnsupportedContentTypeException` - thrown if the response content type at the given URL is not supported
    `XmlException` - throws if there are XML parse errrors
    `IOException`
  See Also
    `ProducerAgent.getServiceDescription(String, com.bea.wsrp.model.IRegistrationContext)`

### getServiceDescriptionByWsdl

    @Deprecated
    public static ServiceDescription getServiceDescriptionByWsdl(String producerWsdlUrl)
                                                          throws XmlException,
                                                                 IOException

  Deprecated This method is deprecated and will be removed in a future release.

  Returns the service description given the WSDL URL.

  Parameters
    `producerWsdlUrl` - WSDL URL
  Throws
    `IllegalArgumentException` - if the WSDL is not valid per the validateWsdl method
    `UnknownHostException` - thrown if host in the given WSDL URL is not known
    `FileNotFoundException` - thrown if there is at the given WSDL URL is not found
    `UnsupportedContentTypeException` - thrown if the response content type at the given URL is not supported
    `XmlException` - throws if there are XML parse errrors
    `IOException`
  See Also
    `ProducerAgent.getServiceDescription(String, com.bea.wsrp.model.IRegistrationContext)`

### getWsrpPortUrls

    @Deprecated
    public static WsdlUtils.WsrpPortStruct getWsrpPortUrls(DefinitionsDocument wsdl)

  Deprecated This method is deprecated and will be removed in a future release.

  Returns WSDL Ports.

  Parameters
    `wsdl` -
  Returns

### acceptsMime

    public static boolean acceptsMime(String producerWsdlUrl)
                               throws XmlException,
                                      IOException

  Deprecated

  Verifies whether the Producer accepts MIME requests.

  Parameters
    `producerWsdlUrl` -
  Returns
  Throws
    `XmlException`
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved